Get course information
Method
| Method |
Description |
| course.courseGet |
Get course information. |
Request parameters
{
"id": {CourseId}
}
Response parameters
{
"id": {CourseId},
"title": "{CourseTitle}",
"category": "{CourseCategory}",
"code": "{CourseCode}",
"total_pages": {TotalPages},
"time_to_read": {TimeToRead},
"created": {Created},
"updated": {Updated},
"version": {Version},
"ready": {Ready},
"show_toc": {ShowToc},
"description": "{Description}"
}
| Variable |
Type |
Appearance |
Description |
| {TotalPages} |
Integer |
Mandatory |
Total number of learning pages available in the course. |
| {TimeToRead} |
Integer |
Mandatory |
Estimated total time to read the course, in minutes. Calculated automatically from all learning pages when the course is marked as ready. |
| {Created} |
Integer |
Mandatory |
Course creation time. Unix Timestamp. |
| {Updated} |
Integer |
Mandatory |
Last update time. Unix Timestamp. |
| {Version} |
Integer |
Mandatory |
Course version. Value increased automatically each time when course is marked as ready. |
Please refer to course update operation to get explanation of all fields.